## org.apache.axis.transport.jms
Class SimpleJMSWorker

    java.lang.Object
      |
      +--org.apache.axis.transport.jms.SimpleJMSWorker

All Implemented Interfaces:
  java.lang.Runnable

public class SimpleJMSWorker
extends java.lang.Object
implements java.lang.Runnable

SimpleJMSWorker is a worker thread that processes messages that are received by SimpleJMSListener. It creates a new message context, invokes the server, and sends back response msg to the replyTo destination.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`SimpleJMSWorker(SimpleJMSListener listener, javax.jms.BytesMessage message)`

Method Summary
`void` `run()` This is where the incoming message is processed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleJMSWorker

    public SimpleJMSWorker(SimpleJMSListener listener,
                           javax.jms.BytesMessage message)

Method Detail

### run

    public void run()

  This is where the incoming message is processed.

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.